public static class Conformance.RestQuery extends BaseIdentifiableElement implements IResourceBlock
Definition: Definition of a named query and its parameters and their meaning
| Constructor and Description |
|---|
Conformance.RestQuery() |
| Modifier and Type | Method and Description |
|---|---|
Conformance.RestResourceSearchParam |
addParameter()
Adds and returns a new value for parameter (Parameter for the named query)
|
<T extends IElement> |
getAllPopulatedChildElementsOfType(Class<T> theType)
Returns a list containing all child elements matching a given type
|
UriDt |
getDefinition()
Gets the value(s) for definition (Where query is defined).
|
StringDt |
getDocumentation()
Gets the value(s) for documentation (Additional usage guidance).
|
StringDt |
getName()
Gets the value(s) for name (Special named queries (_query=)).
|
List<Conformance.RestResourceSearchParam> |
getParameter()
Gets the value(s) for parameter (Parameter for the named query).
|
Conformance.RestResourceSearchParam |
getParameterFirstRep()
Gets the first repetition for parameter (Parameter for the named query),
creating it if it does not already exist.
|
boolean |
isEmpty() |
Conformance.RestQuery |
setDefinition(String theUri)
Sets the value for definition (Where query is defined)
|
Conformance.RestQuery |
setDefinition(UriDt theValue)
Sets the value(s) for definition (Where query is defined)
|
Conformance.RestQuery |
setDocumentation(String theString)
Sets the value for documentation (Additional usage guidance)
|
Conformance.RestQuery |
setDocumentation(StringDt theValue)
Sets the value(s) for documentation (Additional usage guidance)
|
Conformance.RestQuery |
setName(String theString)
Sets the value for name (Special named queries (_query=))
|
Conformance.RestQuery |
setName(StringDt theValue)
Sets the value(s) for name (Special named queries (_query=))
|
Conformance.RestQuery |
setParameter(List<Conformance.RestResourceSearchParam> theValue)
Sets the value(s) for parameter (Parameter for the named query)
|
getElementSpecificId, getId, setElementSpecificId, setId, setIdaddUndeclaredExtension, addUndeclaredExtension, addUndeclaredExtension, getAllUndeclaredExtensions, getUndeclaredExtensions, getUndeclaredExtensionsByUrl, getUndeclaredModifierExtensions, isBaseEmptyclone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitgetElementSpecificId, getId, setElementSpecificId, setId, setIdpublic <T extends IElement> List<T> getAllPopulatedChildElementsOfType(Class<T> theType)
ICompositeElementgetAllPopulatedChildElementsOfType in interface ICompositeElementtheType - The type to match. If set to null, all child elements will be returnedpublic StringDt getName()
null.
Definition: The name of a query, which is used in the _query parameter when the query is called
public Conformance.RestQuery setName(StringDt theValue)
Definition: The name of a query, which is used in the _query parameter when the query is called
public Conformance.RestQuery setName(String theString)
Definition: The name of a query, which is used in the _query parameter when the query is called
public UriDt getDefinition()
null.
Definition: Identifies the custom query, defined either in FHIR core or another profile
public Conformance.RestQuery setDefinition(UriDt theValue)
Definition: Identifies the custom query, defined either in FHIR core or another profile
public Conformance.RestQuery setDefinition(String theUri)
Definition: Identifies the custom query, defined either in FHIR core or another profile
public StringDt getDocumentation()
null.
Definition: Additional information about how the query functions in this particular implementation
public Conformance.RestQuery setDocumentation(StringDt theValue)
Definition: Additional information about how the query functions in this particular implementation
public Conformance.RestQuery setDocumentation(String theString)
Definition: Additional information about how the query functions in this particular implementation
public List<Conformance.RestResourceSearchParam> getParameter()
null.
Definition: Identifies which of the parameters for the named query are supported
public Conformance.RestQuery setParameter(List<Conformance.RestResourceSearchParam> theValue)
Definition: Identifies which of the parameters for the named query are supported
public Conformance.RestResourceSearchParam addParameter()
Definition: Identifies which of the parameters for the named query are supported
public Conformance.RestResourceSearchParam getParameterFirstRep()
Definition: Identifies which of the parameters for the named query are supported
Copyright © 2014 University Health Network. All rights reserved.